
; On entry:
; D0-D7 = R0-R7
; A0    = SWI number
; A1    = R8
; A2    = R9
;
; On exit:
; V = 0 : no error
; V = 1 : The SWI call generated an error
;         R0 points to error block (see https://www.riscosopen.org/wiki/documentation/show/SWI%20Error%20Block)

; OS SWIs
OS_WriteC                      EQU $00000000 ; https://www.riscosopen.org/viewer/view/castle/RiscOS/Sources/Kernel/s/Kernel?annotate=4.12.2.38
OS_WriteS                      EQU $00000001 ; https://www.riscosopen.org/viewer/view/castle/RiscOS/Sources/Kernel/s/vdu/vduswis?annotate=4.6.2.21
OS_Write0                      EQU $00000002 ; https://www.riscosopen.org/viewer/view/castle/RiscOS/Sources/Kernel/s/vdu/vduswis?annotate=4.6.2.21
OS_NewLine                     EQU $00000003 ; https://www.riscosopen.org/viewer/view/castle/RiscOS/Sources/Kernel/s/Kernel?annotate=4.12.2.38
OS_ReadC                       EQU $00000004
OS_CLI                         EQU $00000005 ; https://www.riscosopen.org/viewer/view/castle/RiscOS/Sources/Kernel/s/Oscli
OS_Byte                        EQU $00000006 ; https://www.riscosopen.org/viewer/view/castle/RiscOS/Sources/Kernel/s/PMF/osbyte
OS_Word                        EQU $00000007 ; https://www.riscosopen.org/viewer/view/castle/RiscOS/Sources/Kernel/s/PMF/osword?annotate=4.4.2.8
OS_File                        EQU $00000008
OS_Args                        EQU $00000009
OS_BGet                        EQU $0000000A ; https://www.riscosopen.org/viewer/view/castle/RiscOS/Sources/Kernel/s/Kernel?annotate=4.12.2.38
OS_BPut                        EQU $0000000B ; https://www.riscosopen.org/viewer/view/castle/RiscOS/Sources/Kernel/s/Kernel?annotate=4.12.2.38
OS_GBPB                        EQU $0000000C
OS_Find                        EQU $0000000D
OS_ReadLine                    EQU $0000000E ; https://www.riscosopen.org/viewer/view/castle/RiscOS/Sources/Kernel/s/Middle?annotate=4.15.2.30
OS_Control                     EQU $0000000F ; https://www.riscosopen.org/viewer/view/castle/RiscOS/Sources/Kernel/s/Middle?annotate=4.15.2.30
OS_GetEnv                      EQU $00000010 ; https://www.riscosopen.org/viewer/view/castle/RiscOS/Sources/Kernel/s/Kernel?annotate=4.12.2.38
OS_Exit                        EQU $00000011 ; https://www.riscosopen.org/viewer/view/castle/RiscOS/Sources/Kernel/s/Kernel?annotate=4.12.2.38
OS_SetEnv                      EQU $00000012 ; https://www.riscosopen.org/viewer/view/castle/RiscOS/Sources/Kernel/s/Middle?annotate=4.15.2.30
OS_IntOn                       EQU $00000013
OS_IntOff                      EQU $00000014
OS_CallBack                    EQU $00000015 ; https://www.riscosopen.org/viewer/view/castle/RiscOS/Sources/Kernel/s/Kernel?annotate=4.12.2.38
OS_EnterOS                     EQU $00000016
OS_BreakPt                     EQU $00000017 ; https://www.riscosopen.org/viewer/view/castle/RiscOS/Sources/Kernel/s/Kernel?annotate=4.12.2.38 Middle?annotate=4.15.2.30
OS_BreakCtrl                   EQU $00000018
OS_UnusedSWI                   EQU $00000019 ; https://www.riscosopen.org/viewer/view/castle/RiscOS/Sources/Kernel/s/Kernel?annotate=4.12.2.38 Middle?annotate=4.15.2.30
OS_UpdateMEMC                  EQU $0000001A ; https://www.riscosopen.org/viewer/view/castle/RiscOS/Sources/Kernel/s/Convrsions?annotate=4.3.2.5 MEMC1?annotate=4.1.7.1 MEMC2?annotate=4.1.7.1
OS_SetCallBack                 EQU $0000001B ; https://www.riscosopen.org/viewer/view/castle/RiscOS/Sources/Kernel/s/Middle?annotate=4.15.2.30
OS_Mouse                       EQU $0000001C ; https://www.riscosopen.org/viewer/view/castle/RiscOS/Sources/Kernel/s/Middle?annotate=4.15.2.30
OS_Heap                        EQU $0000001D ; https://www.riscosopen.org/viewer/view/castle/RiscOS/Sources/Kernel/s/HeapMan?annotate=4.5.2.4.2.1
OS_Module                      EQU $0000001E ; https://www.riscosopen.org/viewer/view/castle/RiscOS/Sources/Kernel/s/ModHand?annotate=4.11.2.13
OS_Claim                       EQU $0000001F ; https://www.riscosopen.org/viewer/view/castle/RiscOS/Sources/Kernel/s/ArthurSWIs?annotate=4.8.2.20
OS_Release                     EQU $00000020 ; https://www.riscosopen.org/viewer/view/castle/RiscOS/Sources/Kernel/s/ArthurSWIs?annotate=4.8.2.20
OS_ReadUnsigned                EQU $00000021 ; https://www.riscosopen.org/viewer/view/castle/RiscOS/Sources/Kernel/s/ArthurSWIs?annotate=4.8.2.20
OS_GenerateEvent               EQU $00000022 ; https://www.riscosopen.org/viewer/view/castle/RiscOS/Sources/Kernel/s/NewIRQs?annotate=4.10.2.26
OS_ReadVarVal                  EQU $00000023 ; https://www.riscosopen.org/viewer/view/castle/RiscOS/Sources/Kernel/s/Arthur2?annotate=4.6.2.10
OS_SetVarVal                   EQU $00000024 ; https://www.riscosopen.org/viewer/view/castle/RiscOS/Sources/Kernel/s/Arthur2?annotate=4.6.2.10
OS_GSInit                      EQU $00000025 ; https://www.riscosopen.org/viewer/view/castle/RiscOS/Sources/Kernel/s/Arthur2?annotate=4.6.2.10
OS_GSRead                      EQU $00000026 ; https://www.riscosopen.org/viewer/view/castle/RiscOS/Sources/Kernel/s/Arthur2?annotate=4.6.2.10
OS_GSTrans                     EQU $00000027 ; https://www.riscosopen.org/viewer/view/castle/RiscOS/Sources/Kernel/s/Arthur2?annotate=4.6.2.10
OS_BinaryToDecimal             EQU $00000028 ; https://www.riscosopen.org/viewer/view/castle/RiscOS/Sources/Kernel/s/Convrsions?annotate=4.3.2.5
OS_FSControl                   EQU $00000029 ; https://www.riscosopen.org/viewer/view/castle/RiscOS/Sources/Kernel/s/Kernel?annotate=4.12.2.38
OS_ChangeDynamicArea           EQU $0000002A ; https://www.riscosopen.org/viewer/view/castle/RiscOS/Sources/Kernel/s/ChangeDyn?annotate=4.9.2.26 Utility?annotate=4.6.2.8
OS_GenerateError               EQU $0000002B ; https://www.riscosopen.org/viewer/view/castle/RiscOS/Sources/Kernel/s/Kernel?annotate=4.12.2.38
OS_ReadEscapeState             EQU $0000002C ; https://www.riscosopen.org/viewer/view/castle/RiscOS/Sources/Kernel/s/Kernel?annotate=4.12.2.38
OS_EvaluateExpression          EQU $0000002D ; https://www.riscosopen.org/viewer/view/castle/RiscOS/Sources/Kernel/s/Arthur3?annotate=4.3.2.11
OS_SpriteOp                    EQU $0000002E
OS_ReadPalette                 EQU $0000002F
OS_ServiceCall                 EQU $00000030 ; https://www.riscosopen.org/viewer/view/castle/RiscOS/Sources/Kernel/s/Kernel?annotate=4.12.2.38
OS_ReadVduVariables            EQU $00000031 ; https://www.riscosopen.org/viewer/view/castle/RiscOS/Sources/Kernel/s/vdu/vduswis?annotate=4.6.2.21
OS_ReadPoint                   EQU $00000032
OS_UpCall                      EQU $00000033 ; https://www.riscosopen.org/viewer/view/castle/RiscOS/Sources/Kernel/s/Middle?annotate=4.15.2.30
OS_CallAVector                 EQU $00000034 ; https://www.riscosopen.org/viewer/view/castle/RiscOS/Sources/Kernel/s/ArthurSWIs?annotate=4.8.2.20
OS_ReadModeVariable            EQU $00000035 ; https://www.riscosopen.org/viewer/view/castle/RiscOS/Sources/Kernel/s/vdu/vduswis?annotate=4.6.2.21
OS_RemoveCursors               EQU $00000036 ; https://www.riscosopen.org/viewer/view/castle/RiscOS/Sources/Kernel/s/vdu/vduswis?annotate=4.6.2.21
OS_RestoreCursors              EQU $00000037 ; https://www.riscosopen.org/viewer/view/castle/RiscOS/Sources/Kernel/s/vdu/vduswis?annotate=4.6.2.21
OS_SWINumberToString           EQU $00000038 ; https://www.riscosopen.org/viewer/view/castle/RiscOS/Sources/Kernel/s/SWINaming?annotate=4.5.2.8
OS_SWINumberFromString         EQU $00000039 ; https://www.riscosopen.org/viewer/view/castle/RiscOS/Sources/Kernel/s/SWINaming?annotate=4.5.2.8
OS_ValidateAddress             EQU $0000003A ; https://www.riscosopen.org/viewer/view/castle/RiscOS/Sources/Kernel/s/ArthurSWIs?annotate=4.8.2.20
OS_CallAfter                   EQU $0000003B ; https://www.riscosopen.org/viewer/view/castle/RiscOS/Sources/Kernel/s/TickEvents?annotate=4.4.2.4
OS_CallEvery                   EQU $0000003C ; https://www.riscosopen.org/viewer/view/castle/RiscOS/Sources/Kernel/s/TickEvents?annotate=4.4.2.4
OS_RemoveTickerEvent           EQU $0000003D ; https://www.riscosopen.org/viewer/view/castle/RiscOS/Sources/Kernel/s/TickEvents?annotate=4.4.2.4
OS_InstallKeyHandler           EQU $0000003E
OS_CheckModeValid              EQU $0000003F ; https://www.riscosopen.org/viewer/view/castle/RiscOS/Sources/Kernel/s/vdu/vduswis?annotate=4.6.2.21
OS_ChangeEnvironment           EQU $00000040 ; https://www.riscosopen.org/viewer/view/castle/RiscOS/Sources/Kernel/s/Middle?annotate=4.15.2.30
OS_ClaimScreenMemory           EQU $00000041
OS_ReadMonotonicTime           EQU $00000042
OS_SubstituteArgs              EQU $00000043 ; https://www.riscosopen.org/viewer/view/castle/RiscOS/Sources/Kernel/s/MoreSWIs?annotate=4.3.2.10
OS_PrettyPrint                 EQU $00000044 ; https://www.riscosopen.org/viewer/view/castle/RiscOS/Sources/Kernel/s/MoreSWIs?annotate=4.3.2.10
OS_Plot                        EQU $00000045 ; https://www.riscosopen.org/viewer/view/castle/RiscOS/Sources/Kernel/s/vdu/vduplot?annotate=4.2.2.5 vduswis?annotate=4.6.2.21
OS_WriteN                      EQU $00000046 ; https://www.riscosopen.org/viewer/view/castle/RiscOS/Sources/Kernel/s/vdu/vduswis?annotate=4.6.2.21
OS_AddToVector                 EQU $00000047 ; https://www.riscosopen.org/viewer/view/castle/RiscOS/Sources/Kernel/s/ArthurSWIs?annotate=4.8.2.20
OS_WriteEnv                    EQU $00000048 ; https://www.riscosopen.org/viewer/view/castle/RiscOS/Sources/Kernel/s/MoreSWIs?annotate=4.3.2.10
OS_ReadArgs                    EQU $00000049 ; https://www.riscosopen.org/viewer/view/castle/RiscOS/Sources/Kernel/s/MoreSWIs?annotate=4.3.2.10
OS_ReadRAMFsLimits             EQU $0000004A ; https://www.riscosopen.org/viewer/view/castle/RiscOS/Sources/Kernel/s/MoreSWIs?annotate=4.3.2.10
OS_ClaimDeviceVector           EQU $0000004B
OS_ReleaseDeviceVector         EQU $0000004C
OS_DelinkApplication           EQU $0000004D ; https://www.riscosopen.org/viewer/view/castle/RiscOS/Sources/Kernel/s/ArthurSWIs?annotate=4.8.2.20
OS_RelinkApplication           EQU $0000004E ; https://www.riscosopen.org/viewer/view/castle/RiscOS/Sources/Kernel/s/ArthurSWIs?annotate=4.8.2.20
OS_HeapSort                    EQU $0000004F ; https://www.riscosopen.org/viewer/view/castle/RiscOS/Sources/Kernel/s/HeapSort?annotate=4.2.2.5
OS_ExitAndDie                  EQU $00000050 ; https://www.riscosopen.org/viewer/view/castle/RiscOS/Sources/Kernel/s/MoreSWIs?annotate=4.3.2.10
OS_ReadMemMapInfo              EQU $00000051 ; https://www.riscosopen.org/viewer/view/castle/RiscOS/Sources/Kernel/s/ChangeDyn?annotate=4.9.2.26
OS_ReadMemMapEntries           EQU $00000052 ; https://www.riscosopen.org/viewer/view/castle/RiscOS/Sources/Kernel/s/ChangeDyn?annotate=4.9.2.26
OS_SetMemMapEntries            EQU $00000053 ; https://www.riscosopen.org/viewer/view/castle/RiscOS/Sources/Kernel/s/ChangeDyn?annotate=4.9.2.26
OS_AddCallBack                 EQU $00000054 ; https://www.riscosopen.org/viewer/view/castle/RiscOS/Sources/Kernel/s/MoreSWIs?annotate=4.3.2.10
OS_ReadDefaultHandler          EQU $00000055 ; https://www.riscosopen.org/viewer/view/castle/RiscOS/Sources/Kernel/s/Middle?annotate=4.15.2.30
OS_SetECFOrigin                EQU $00000056
OS_SerialOp                    EQU $00000057 ; https://www.riscosopen.org/viewer/view/castle/RiscOS/Sources/Kernel/s/Middle?annotate=4.15.2.30
OS_ReadSysInfo                 EQU $00000058 ; https://www.riscosopen.org/viewer/view/castle/RiscOS/Sources/Kernel/s/Middle?annotate=4.15.2.30
OS_Confirm                     EQU $00000059 ; https://www.riscosopen.org/viewer/view/castle/RiscOS/Sources/Kernel/s/MoreSWIs?annotate=4.3.2.10
OS_ChangedBox                  EQU $0000005A ; https://www.riscosopen.org/viewer/view/castle/RiscOS/Sources/Kernel/s/vdu/vduswis?annotate=4.6.2.21
OS_CRC                         EQU $0000005B ; https://www.riscosopen.org/viewer/view/castle/RiscOS/Sources/Kernel/s/MoreSWIs?annotate=4.3.2.10
OS_ReadDynamicArea             EQU $0000005C ; https://www.riscosopen.org/viewer/view/castle/RiscOS/Sources/Kernel/s/ChangeDyn?annotate=4.9.2.26
OS_PrintChar                   EQU $0000005D ; https://www.riscosopen.org/viewer/view/castle/RiscOS/Sources/Kernel/s/PMF/oseven?annotate=4.2.2.3
OS_ChangeRedirection           EQU $0000005E
OS_RemoveCallBack              EQU $0000005F ; https://www.riscosopen.org/viewer/view/castle/RiscOS/Sources/Kernel/s/MoreSWIs?annotate=4.3.2.10
OS_FindMemMapEntries           EQU $00000060 ; https://www.riscosopen.org/viewer/view/castle/RiscOS/Sources/Kernel/s/ChangeDyn?annotate=4.9.2.26
OS_SetColour                   EQU $00000061
OS_ClaimSWI                    EQU $00000062
OS_ReleaseSWI                  EQU $00000063
OS_Pointer                     EQU $00000064 ; https://www.riscosopen.org/viewer/view/castle/RiscOS/Sources/Kernel/s/PMF/mouse?annotate=4.3.2.4
OS_ScreenMode                  EQU $00000065 ; https://www.riscosopen.org/viewer/view/castle/RiscOS/Sources/Kernel/s/vdu/vduswis?annotate=4.6.2.21
OS_DynamicArea                 EQU $00000066 ; https://www.riscosopen.org/viewer/view/castle/RiscOS/Sources/Kernel/s/ChangeDyn?annotate=4.9.2.26
OS_AbortTrap                   EQU $00000067
OS_Memory                      EQU $00000068 ; https://www.riscosopen.org/viewer/view/castle/RiscOS/Sources/Kernel/s/MemInfo?annotate=4.4.2.26
OS_ClaimProcessorVector        EQU $00000069 ; https://www.riscosopen.org/viewer/view/castle/RiscOS/Sources/Kernel/s/ExtraSWIs?annotate=4.1.8.2
OS_Reset                       EQU $0000006A
OS_MMUControl                  EQU $0000006B ; https://www.riscosopen.org/viewer/view/castle/RiscOS/Sources/Kernel/s/Convrsions?annotate=4.3.2.5
OS_ResyncTime                  EQU $0000006C ; https://www.riscosopen.org/viewer/view/castle/RiscOS/Sources/Kernel/s/PMF/realtime?annotate=4.3.2.4
OS_PlatformFeatures            EQU $0000006D ; https://www.riscosopen.org/viewer/view/castle/RiscOS/Sources/Kernel/s/Kernel?annotate=4.12.2.38
OS_SynchroniseCodeAreas        EQU $0000006E ; https://www.riscosopen.org/viewer/view/castle/RiscOS/Sources/Kernel/s/ARM600?annotate=4.12.2.36
OS_CallASWI                    EQU $0000006F
OS_AMBControl                  EQU $00000070 ; https://www.riscosopen.org/viewer/view/castle/RiscOS/Sources/Kernel/s/AMBControl/main?annotate=4.1.3.1.8.5
OS_CallASWIR12                 EQU $00000071
OS_SpecialControl              EQU $00000072
OS_EnterUSR32                  EQU $00000073
OS_EnterUSR26                  EQU $00000074
OS_VIDCDivider                 EQU $00000075
OS_NVMemory                    EQU $00000076 ; https://www.riscosopen.org/viewer/view/castle/RiscOS/Sources/Kernel/s/PMF/i2cutils?annotate=4.11.2.28
OS_ClaimOSSWI                  EQU $00000077
OS_TaskControl                 EQU $00000078
OS_DeviceDriver                EQU $00000079
OS_Hardware                    EQU $0000007A
OS_IICOp                       EQU $0000007B
OS_LeaveOS                     EQU $0000007C
OS_ReadLine32                  EQU $0000007D ; https://www.riscosopen.org/viewer/view/castle/RiscOS/Sources/Kernel/s/Middle?annotate=4.15.2.30
OS_SubstituteArgs32            EQU $0000007E ; https://www.riscosopen.org/viewer/view/castle/RiscOS/Sources/Kernel/s/MoreSWIs?annotate=4.3.2.10
OS_HeapSort32                  EQU $0000007F ; https://www.riscosopen.org/viewer/view/castle/RiscOS/Sources/Kernel/s/HeapSort?annotate=4.2.2.5
OS_ConvertStandardDateAndTime  EQU $000000C0 ; https://www.riscosopen.org/viewer/view/castle/RiscOS/Sources/Kernel/s/Convrsions?annotate=4.3.2.5  PMF/convdate
OS_ConvertDateAndTime          EQU $000000C1 ; https://www.riscosopen.org/viewer/view/castle/RiscOS/Sources/Kernel/s/Convrsions?annotate=4.3.2.5  PMF/convdate
OS_ConvertHex1                 EQU $000000D0
OS_ConvertHex2                 EQU $000000D1
OS_ConvertHex4                 EQU $000000D2
OS_ConvertHex6                 EQU $000000D3
OS_ConvertHex8                 EQU $000000D4
OS_ConvertCardinal1            EQU $000000D5
OS_ConvertCardinal2            EQU $000000D6
OS_ConvertCardinal3            EQU $000000D7
OS_ConvertCardinal4            EQU $000000D8
OS_ConvertInteger1             EQU $000000D9
OS_ConvertInteger2             EQU $000000DA
OS_ConvertInteger3             EQU $000000DB
OS_ConvertInteger4             EQU $000000DC
OS_ConvertBinary1              EQU $000000DD
OS_ConvertBinary2              EQU $000000DE
OS_ConvertBinary3              EQU $000000DF
OS_ConvertBinary4              EQU $000000E0
OS_ConvertSpacedCardinal1      EQU $000000E1
OS_ConvertSpacedCardinal2      EQU $000000E2
OS_ConvertSpacedCardinal3      EQU $000000E3
OS_ConvertSpacedCardinal4      EQU $000000E4
OS_ConvertSpacedInteger1       EQU $000000E5
OS_ConvertSpacedInteger2       EQU $000000E6
OS_ConvertSpacedInteger3       EQU $000000E7
OS_ConvertSpacedInteger4       EQU $000000E8
OS_ConvertFixedNetStation      EQU $000000E9 ; https://www.riscosopen.org/viewer/view/castle/RiscOS/Sources/Kernel/s/Convrsions?annotate=4.3.2.5
OS_ConvertNetStation           EQU $000000EA ; https://www.riscosopen.org/viewer/view/castle/RiscOS/Sources/Kernel/s/Convrsions?annotate=4.3.2.5
OS_ConvertFixedFileSize        EQU $000000EB ; https://www.riscosopen.org/viewer/view/castle/RiscOS/Sources/Kernel/s/Convrsions?annotate=4.3.2.5
OS_ConvertFileSize             EQU $000000EC ; https://www.riscosopen.org/viewer/view/castle/RiscOS/Sources/Kernel/s/Convrsions?annotate=4.3.2.5
OS_ConvertVariform             EQU $000000ED ; https://www.riscosopen.org/viewer/view/castle/RiscOS/Sources/Kernel/s/Convrsions?annotate=4.3.2.5
OS_WriteI                      EQU $00000100 ; $100-$1FF is VDU$00-VDU$FF https://www.riscosopen.org/viewer/view/castle/RiscOS/Sources/Kernel/s/Kernel?annotate=4.12.2.38
;OS_WriteI+" "                 EQU $00000120
;OS_WriteI+"!"                 EQU $00000121
;OS_WriteI+"""                 EQU $00000122
;OS_WriteI+ASC"@"              EQU $00000140
;OS_WriteI+"~"                 EQU $0000017E
;OS_WriteI+127                 EQU $0000017F
;OS_WriteI+128                 EQU $00000180
;OS_WriteI+129                 EQU $00000181
;OS_WriteI+253                 EQU $000001FD
;OS_WriteI+254                 EQU $000001FE
;OS_WriteI+255                 EQU $000001FF

; FileSwitch SWIs (&200)

; IIC SWIs (&240)
IIC_Control                    EQU $00000240

; Cache SWIs (&280)
Cache_Control                  EQU $00000280
Cache_Cacheable                EQU $00000281
Cache_Updateable               EQU $00000282
Cache_Disruptive               EQU $00000283
Cache_Flush                    EQU $00000284

; Trace SWIs (&BF00)
Trace_R0                       EQU $0000bf00
Trace_R1                       EQU $0000bf01
Trace_R2                       EQU $0000bf02
Trace_R3                       EQU $0000bf03
Trace_R4                       EQU $0000bf04
Trace_R5                       EQU $0000bf05
Trace_R6                       EQU $0000bf06
Trace_R7                       EQU $0000bf07
Trace_R8                       EQU $0000bf08
Trace_R9                       EQU $0000bf09
Trace_R10                      EQU $0000bf0a
Trace_R11                      EQU $0000bf0b
Trace_R12                      EQU $0000bf0c
Trace_R13                      EQU $0000bf0d
Trace_R14                      EQU $0000bf0e
Trace_R15                      EQU $0000bf0f
Trace_Regs                     EQU $0000bf10
Trace_WriteC                   EQU $0000bf11
Trace_NewLine                  EQU $0000bf12
Trace_WriteS                   EQU $0000bf13
Trace_Write0                   EQU $0000bf14

; Econet SWIs (&40000)
Econet_CreateReceive           EQU $00040000
Econet_ExamineReceive          EQU $00040001
Econet_ReadReceive             EQU $00040002
Econet_AbandonReceive          EQU $00040003
Econet_WaitForReception        EQU $00040004
Econet_EnumerateReceive        EQU $00040005
Econet_StartTransmit           EQU $00040006
Econet_PollTransmit            EQU $00040007
Econet_AbandonTransmit         EQU $00040008
Econet_DoTransmit              EQU $00040009
Econet_ReadLocalStationAndNet  EQU $0004000A
Econet_ConvertStatusToString   EQU $0004000B
Econet_ConvertStatusToError    EQU $0004000C
Econet_ReadProtection          EQU $0004000D
Econet_SetProtection           EQU $0004000E
Econet_ReadStationNumber       EQU $0004000F
Econet_PrintBanner             EQU $00040010
Econet_ReadTransportType       EQU $00040011
Econet_ReleasePort             EQU $00040012
Econet_AllocatePort            EQU $00040013
Econet_DeAllocatePort          EQU $00040014
Econet_ClaimPort               EQU $00040015
Econet_StartImmediate          EQU $00040016
Econet_DoImmediate             EQU $00040017
Econet_AbandonAndReadReceive   EQU $00040018
Econet_Version                 EQU $00040019
Econet_NetworkState            EQU $0004001A
Econet_PacketSize              EQU $0004001B
Econet_ReadTransportName       EQU $0004001C
Econet_InetRxDirect            EQU $0004001D
Econet_EnumerateMap            EQU $0004001E
Econet_EnumerateTransmit       EQU $0004001F
Econet_HardwareAddresses       EQU $00040020
Econet_NetworkParameters       EQU $00040021

; NetFS SWIs (&40040)
NetFS_ReadFSNumber             EQU $00040040
NetFS_SetFSNumber              EQU $00040041
NetFS_ReadFSName               EQU $00040042
NetFS_SetFSName                EQU $00040043
NetFS_004                      EQU $00040044
NetFS_005                      EQU $00040045
NetFS_ReadFSTimeouts           EQU $00040046
NetFS_SetFSTimeouts            EQU $00040047
NetFS_DoFSOp                   EQU $00040048
NetFS_EnumerateFSList          EQU $00040049
NetFS_EnumerateFS              EQU $0004004A
NetFS_ConvertDate              EQU $0004004B
NetFS_DoFSOpToGivenFS          EQU $0004004C
NetFS_UpdateFSList             EQU $0004004D
NetFS_EnumerateFSContexts      EQU $0004004E
NetFS_ReadUserId               EQU $0004004F
NetFS_GetObjectUID             EQU $00040050
NetFS_EnableCache              EQU $00040051

; Font SWIs (&40080)
Font_CacheAddr                 EQU $00040080
Font_FindFont                  EQU $00040081
Font_LoseFont                  EQU $00040082
Font_ReadDefn                  EQU $00040083
Font_ReadInfo                  EQU $00040084
Font_StringWidth               EQU $00040085
Font_Paint                     EQU $00040086
Font_Caret                     EQU $00040087
Font_ConverttoOS               EQU $00040088
Font_Converttopoints           EQU $00040089
Font_SetFont                   EQU $0004008a
Font_CurrentFont               EQU $0004008b
Font_FutureFont                EQU $0004008c
Font_FindCaret                 EQU $0004008d
Font_CharBBox                  EQU $0004008e
Font_ReadScaleFactor           EQU $0004008f
Font_SetScaleFactor            EQU $00040090
Font_ListFonts                 EQU $00040091
Font_SetFontColours            EQU $00040092
Font_SetPalette                EQU $00040093
Font_ReadThresholds            EQU $00040094
Font_SetThresholds             EQU $00040095
Font_FindCaretJ                EQU $00040096
Font_StringBBox                EQU $00040097
Font_ReadColourTable           EQU $00040098
Font_MakeBitmap                EQU $00040099
Font_UnCacheFile               EQU $0004009a
Font_SetFontMax                EQU $0004009b
Font_ReadFontMax               EQU $0004009c
Font_ReadFontPrefix            EQU $0004009d
Font_SwitchOutputToBuffer      EQU $0004009e
Font_ReadFontMetrics           EQU $0004009f
Font_DecodeMenu                EQU $000400a0
Font_ScanString                EQU $000400a1
Font_SetColourTable            EQU $000400a2
Font_CurrentRGB                EQU $000400a3
Font_FutureRGB                 EQU $000400a4
Font_ReadEncodingFilename      EQU $000400a5
Font_FindField                 EQU $000400a6
Font_ApplyFields               EQU $000400a7
Font_LookupFont                EQU $000400a8
Font_EnumerateCharacters       EQU $000400A9

; Wimp SWIs (&400C0)
Wimp_Initialise                EQU $000400c0
Wimp_CreateWindow              EQU $000400c1
Wimp_CreateIcon                EQU $000400c2
Wimp_DeleteWindow              EQU $000400c3
Wimp_DeleteIcon                EQU $000400c4
Wimp_OpenWindow                EQU $000400c5
Wimp_CloseWindow               EQU $000400c6
Wimp_Poll                      EQU $000400c7
Wimp_RedrawWindow              EQU $000400c8
Wimp_UpdateWindow              EQU $000400c9
Wimp_GetRectangle              EQU $000400ca
Wimp_GetWindowState            EQU $000400cb
Wimp_GetWindowInfo             EQU $000400cc
Wimp_SetIconState              EQU $000400cd
Wimp_GetIconState              EQU $000400ce
Wimp_GetPointerInfo            EQU $000400cf
Wimp_DragBox                   EQU $000400d0
Wimp_ForceRedraw               EQU $000400d1
Wimp_SetCaretPosition          EQU $000400d2
Wimp_GetCaretPosition          EQU $000400d3
Wimp_CreateMenu                EQU $000400d4
Wimp_DecodeMenu                EQU $000400d5
Wimp_WhichIcon                 EQU $000400d6
Wimp_SetExtent                 EQU $000400d7
Wimp_SetPointerShape           EQU $000400d8
Wimp_OpenTemplate              EQU $000400d9
Wimp_CloseTemplate             EQU $000400da
Wimp_LoadTemplate              EQU $000400db
Wimp_ProcessKey                EQU $000400dc
Wimp_CloseDown                 EQU $000400dd
Wimp_StartTask                 EQU $000400de
Wimp_ReportError               EQU $000400df
Wimp_GetWindowOutline          EQU $000400e0
Wimp_PollIdle                  EQU $000400e1
Wimp_PlotIcon                  EQU $000400e2
Wimp_SetMode                   EQU $000400e3
Wimp_SetPalette                EQU $000400e4
Wimp_ReadPalette               EQU $000400e5
Wimp_SetColour                 EQU $000400e6
Wimp_SendMessage               EQU $000400e7
Wimp_CreateSubMenu             EQU $000400e8
Wimp_SpriteOp                  EQU $000400e9
Wimp_BaseOfSprites             EQU $000400ea
Wimp_BlockCopy                 EQU $000400eb
Wimp_SlotSize                  EQU $000400ec
Wimp_ReadPixTrans              EQU $000400ed
Wimp_ClaimFreeMemory           EQU $000400ee
Wimp_CommandWindow             EQU $000400ef
Wimp_TextColour                EQU $000400f0
Wimp_TransferBlock             EQU $000400f1
Wimp_ReadSysInfo               EQU $000400f2
Wimp_SetFontColours            EQU $000400f3
Wimp_GetMenuState              EQU $000400f4
Wimp_RegisterFilter            EQU $000400f5
Wimp_AddMessages               EQU $000400f6
Wimp_RemoveMessages            EQU $000400f7
Wimp_SetColourMapping          EQU $000400f8
Wimp_TextOp                    EQU $000400F9
Wimp_SetWatchdogState          EQU $000400FA
Wimp_Extend                    EQU $000400FB
Wimp_ResizeIcon                EQU $000400FC
Wimp_AutoScroll                EQU $000400FD

; Tube SWIs (&40100)
HostFS_HostVdu                 EQU $00040100
HostFS_TubeVdu                 EQU $00040101
HostFS_WriteC                  EQU $00040102
HostFS_ReadC                   EQU $00040103
HostFS_ReadCMaybe              EQU $00040104

; Sound0 SWIs (&40140)
Sound_Configure                EQU $00040140
Sound_Enable                   EQU $00040141
Sound_Stereo                   EQU $00040142
Sound_Speaker                  EQU $00040143
Sound_Mode                     EQU $00040144
Sound_LinearHandler            EQU $00040145
Sound_SampleRate               EQU $00040146
Sound_ReadSysInfo              EQU $00040147


; Sound1 SWIs (&40180)
Sound_Volume                   EQU $00040180
Sound_SoundLog                 EQU $00040181
Sound_LogScale                 EQU $00040182
Sound_InstallVoice             EQU $00040183
Sound_RemoveVoice              EQU $00040184
Sound_AttachVoice              EQU $00040185
Sound_ControlPacked            EQU $00040186
Sound_Tuning                   EQU $00040187
Sound_Pitch                    EQU $00040188
Sound_Control                  EQU $00040189
Sound_AttachNamedVoice         EQU $0004018a
Sound_ReadControlBlock         EQU $0004018b
Sound_WriteControlBlock        EQU $0004018c

; Sound2 SWIs (&401C0)
Sound_QInit                    EQU $000401c0
Sound_QSchedule                EQU $000401c1
Sound_QRemove                  EQU $000401c2
Sound_QFree                    EQU $000401c3
Sound_QSDispatch               EQU $000401c4
Sound_QTempo                   EQU $000401c5
Sound_QBeat                    EQU $000401c6
Sound_QInterface               EQU $000401c7

; NetPrint SWIs (&40200)
NetPrint_ReadPSNumber          EQU $00040200
NetPrint_SetPSNumber           EQU $00040201
NetPrint_ReadPSName            EQU $00040202
NetPrint_SetPSName             EQU $00040203
NetPrint_ReadPSTimeouts        EQU $00040204
NetPrint_SetPSTimeouts         EQU $00040205
NetPrint_BindPSName            EQU $00040206
NetPrint_ListServers           EQU $00040207
NetPrint_ConvertStatusToString EQU $00040208

; ADFS SWIs (&40240)
ADFS_DiscOp                    EQU $00040240
ADFS_HDC                       EQU $00040241
ADFS_Drives                    EQU $00040242
ADFS_FreeSpace                 EQU $00040243
ADFS_Retries                   EQU $00040244
ADFS_DescribeDisc              EQU $00040245
ADFS_VetFormat                 EQU $00040246
ADFS_FlpProcessDCB             EQU $00040247
ADFS_ControllerType            EQU $00040248
ADFS_PowerControl              EQU $00040249
ADFS_SetIDEController          EQU $0004024A
ADFS_IDEUserOp                 EQU $0004024B
ADFS_MiscOp                    EQU $0004024C
ADFS_SectorDiscOp              EQU $0004024D
ADFS_14                        EQU $0004024E
ADFS_15                        EQU $0004024F
ADFS_ECCSAndRetries            EQU $00040250
ADFS_LockIDE                   EQU $00040251
ADFS_FreeSpace64               EQU $00040252
ADFS_IDEDeviceInfo             EQU $00040253
ADFS_DiscOp64                  EQU $00040254
ADFS_ATAPIOp                   EQU $00040255

; Podule SWIs (&40280)
Podule_ReadID                  EQU $00040280
Podule_ReadHeader              EQU $00040281
Podule_EnumerateChunks         EQU $00040282
Podule_ReadChunk               EQU $00040283
Podule_ReadBytes               EQU $00040284
Podule_WriteBytes              EQU $00040285
Podule_CallLoader              EQU $00040286
Podule_RawRead                 EQU $00040287
Podule_RawWrite                EQU $00040288
Podule_HardwareAddress         EQU $00040289
Podule_EnumerateChunksWithInfo EQU $0004028a
Podule_HardwareAddresses       EQU $0004028b
Podule_ReturnNumber            EQU $0004028c
Podule_ReadInfo                EQU $0004028D
Podule_SetSpeed                EQU $0004028E

; ARMPC SWIs (&402C0)
PCEmMod_KeyEvent_Init          EQU $000402c0
PCEmMod_KeyEvent_Info          EQU $000402c1
PCEmMod_KeyEvent_Accept        EQU $000402c2
PCEmMod_KeyEvent_Ignore        EQU $000402c3
PCEmMod_KeyEvent_Check         EQU $000402c4
PCEmMod_KeyEvent_Get           EQU $000402c5
PCEmMod_KeyEvent_Put           EQU $000402c6
PCEmMod_MicroTimer_Get         EQU $000402c7
PCEmMod_PCEvent_Init           EQU $000402c8
PCEmMod_PCEvent_Accept         EQU $000402c9
PCEmMod_PCEvent_Ignore         EQU $000402ca
PCEmMod_PCEvent_Check          EQU $000402cb
PCEmMod_PCEvent_Get            EQU $000402cc
PCEmMod_DelayFor               EQU $000402cd
PCEmMod_CodeBase               EQU $000402ce
PCEmMod_Profile_Init           EQU $000402cf
PCEmMod_Profile_On             EQU $000402d0
PCEmMod_Profile_Off            EQU $000402d1
PCEmMod_Profile_Write          EQU $000402d2
PCEmMod_InterceptMouse         EQU $000402d3
PCEmMod_RestoreMouse           EQU $000402d4
PCEmMod_ReadMouse              EQU $000402d5

; WaveTable SWIs (&40300)

; IntelligentInterfaceIEEE SWIs (&40340)

; Debugger SWIs (&40380)
Debugger_Disassemble           EQU $00040380
Debugger_DisassembleThumb      EQU $00040381

; SCSIDriver SWIs (&403C0)
SCSI_Version                   EQU $000403c0
SCSI_Initialise                EQU $000403c1
SCSI_Control                   EQU $000403c2
SCSI_Op                        EQU $000403c3
SCSI_Status                    EQU $000403c4
SCSI_Reserve                   EQU $000403c7
SCSI_List                      EQU $000403c8

; VFS SWIs (&40400)

; VideoCommand SWIs (&40440)

; FPEmulator SWIs (&40480)
FPEmulator_Version             EQU $00040480
FPEmulator_Version             EQU $00040480
FPEmulator_DeactivateContext   EQU $00040481
FPEmulator_ActivateContext     EQU $00040482
FPEmulator_ChangeContext       EQU $00040483
FPEmulator_ContextLength       EQU $00040484
FPEmulator_InitContext         EQU $00040485
FPEmulator_ExceptionDump       EQU $00040486
FPEmulator_Abort               EQU $00040487
FPEmulator_LoadContext         EQU $00040488
FPEmulator_SaveContext         EQU $00040489

; MIDI SWIs (&404C0)

; IO_Podule SWIs (&40500)

; FileCore SWIs (&40540)
FileCore_DiscOp                  EQU $00040540
FileCore_Create                  EQU $00040541
FileCore_Drives                  EQU $00040542
FileCore_FreeSpace               EQU $00040543
FileCore_FloppyStructure         EQU $00040544
FileCore_DescribeDisc            EQU $00040545
FileCore_DiscardReadSectorsCache EQU $00040546
FileCore_DiscFormat              EQU $00040547
FileCore_LayoutStructure         EQU $00040548
FileCore_MiscOp                  EQU $00040549
FileCore_SectorDiscOp            EQU $0004054A
FileCore_FreeSpace64             EQU $0004054B
FileCore_DiscOp64                EQU $0004054C
FileCore_Features                EQU $0004054D

; Version SWIs (&40580)

; Shell SWIs (&405C0)
Shell_Create                   EQU $000405c0
Shell_Destroy                  EQU $000405c1

; IntellInterf16bitPIO SWIs (&40600)

; IntellInterf12BitADC SWIs (&40640)

; IntellInterfRS423 SWIs (&40680)

; Hourglass SWIs (&406C0)
Hourglass_On                   EQU $000406c0
Hourglass_Off                  EQU $000406c1
Hourglass_Smash                EQU $000406c2
Hourglass_Start                EQU $000406c3
Hourglass_Percentage           EQU $000406c4
Hourglass_LEDs                 EQU $000406c5
Hourglass_Colours              EQU $000406c6

; Draw SWIs (&40700)
Draw_ProcessPath               EQU $00040700
Draw_ProcessPathFP             EQU $00040701
Draw_Fill                      EQU $00040702
Draw_FillFP                    EQU $00040703
Draw_Stroke                    EQU $00040704
Draw_StrokeFP                  EQU $00040705
Draw_StrokePath                EQU $00040706
Draw_StrokePathFP              EQU $00040707
Draw_FlattenPath               EQU $00040708
Draw_FlattenPathFP             EQU $00040709
Draw_TransformPath             EQU $0004070a
Draw_TransformPathFP           EQU $0004070b
Draw_FillClipped               EQU $0004070C
Draw_FillClippedFP             EQU $0004070D
Draw_StrokeClipped             EQU $0004070E
Draw_StrokeClippedFP           EQU $0004070F

; ColourTrans SWIs (&40740)
ColourTrans_SelectTable                   EQU $00040740
ColourTrans_SelectGCOLTable               EQU $00040741
ColourTrans_ReturnGCOL                    EQU $00040742
ColourTrans_SetGCOL                       EQU $00040743
ColourTrans_ReturnColourNumber            EQU $00040744
ColourTrans_ReturnGCOLForMode             EQU $00040745
;ColourTrans_ReturnColourNumberForMode     EQU $00040746
ColourTrans_ReturnOppGCOL                 EQU $00040747
ColourTrans_SetOppGCOL                    EQU $00040748
;ColourTrans_ReturnOppColourNumber         EQU $00040749
;ColourTrans_ReturnOppGCOLForMode          EQU $0004074a
;ColourTrans_ReturnOppColourNumberForMode  EQU $0004074b
ColourTrans_GCOLToColourNumber            EQU $0004074c
ColourTrans_ColourNumberToGCOL            EQU $0004074d
ColourTrans_ReturnFontColours             EQU $0004074e
ColourTrans_SetFontColours                EQU $0004074f
ColourTrans_InvalidateCache               EQU $00040750
ColourTrans_SetCalibration                EQU $00040751
ColourTrans_ReadCalibration               EQU $00040752
ColourTrans_ConvertDeviceColour           EQU $00040753
ColourTrans_ConvertDevicePalette          EQU $00040754
ColourTrans_ConvertRGBToCIE               EQU $00040755
ColourTrans_ConvertCIEToRGB               EQU $00040756
;ColourTrans_WriteCalibrationToFile        EQU $00040757
ColourTrans_ConvertRGBToHSV               EQU $00040758
ColourTrans_ConvertHSVToRGB               EQU $00040759
ColourTrans_ConvertRGBToCMYK              EQU $0004075a
ColourTrans_ConvertCMYKToRGB              EQU $0004075b
ColourTrans_ReadPalette                   EQU $0004075c
ColourTrans_WritePalette                  EQU $0004075d
ColourTrans_SetColour                     EQU $0004075e
ColourTrans_MiscOp                        EQU $0004075f
ColourTrans_WriteLoadingsToFile           EQU $00040760
ColourTrans_SetTextColour                 EQU $00040761
ColourTrans_SetOppTextColour              EQU $00040762
ColourTrans_GenerateTable                 EQU $00040763

; RamFS SWIs (&40780)

; UnixFS SWIs  (&407C0)

; DigiTape SWIs (&40800)

; SCSIFS SWI  (&40980)
SCSIFS_DiscOp                  EQU $00040980
SCSIFS_Drives                  EQU $00040982
SCSIFS_FreeSpace               EQU $00040983
SCSIFS_DescribeDisc            EQU $00040985
SCSIFS_TestReady               EQU $00040986

; Super SWIs (&40D80)
Super_Sample90                 EQU $00040d80
Super_Sample45                 EQU $00040d81

; FilerAction SWIs (&40F80)
;FilerAction_SendSelectedDirectory  EQU $00040f80
FilerAction_SendSelectedFile       EQU $00040f81
FilerAction_SendStartOperation     EQU $00040f82

; SCSI SWIs (&41080)
SCSI_LogVersion                EQU $00041080
SCSI_LogList                   EQU $00041081

; Socket SWIs (&41200)
Socket_Creat                   EQU $00041200
Socket_Bind                    EQU $00041201
Socket_Listen                  EQU $00041202
Socket_Accept                  EQU $00041203
Socket_Connect                 EQU $00041204
Socket_Recv                    EQU $00041205
Socket_Recvfrom                EQU $00041206
Socket_Recvmsg                 EQU $00041207
Socket_Send                    EQU $00041208
Socket_Sendto                  EQU $00041209
Socket_Sendmsg                 EQU $0004120A
Socket_Shutdown                EQU $0004120B
Socket_Setsockopt              EQU $0004120C
Socket_Getsockopt              EQU $0004120D
Socket_Getpeername             EQU $0004120E
Socket_Getsockname             EQU $0004120F
Socket_Close                   EQU $00041210
Socket_Select                  EQU $00041211
Socket_Ioctl                   EQU $00041212
Socket_Read                    EQU $00041213
Socket_Write                   EQU $00041214
Socket_Stat                    EQU $00041215
Socket_Readv                   EQU $00041216
Socket_Writev                  EQU $00041217
Socket_Gettsize                EQU $00041218
Socket_Sendtosm                EQU $00041219
Socket_Sysctl                  EQU $0004121A
Socket_Accept_1                EQU $0004121B
Socket_Recvfrom_1              EQU $0004121C
Socket_Recvmsg_1               EQU $0004121D
Socket_Sendmsg_1               EQU $0004121E
Socket_Getpeername_1           EQU $0004121F
Socket_Getsockname_1           EQU $00041220
Socket_InternalLookup          EQU $00041221
Socket_Version                 EQU $00041222

; CD SWIs (&41240)
CD_Version                     EQU $00041240
CD_ReadData                    EQU $00041241
CD_SeekTo                      EQU $00041242
CD_DriveStatus                 EQU $00041243
CD_DriveReady                  EQU $00041244
CD_GetParameters               EQU $00041245
CD_SetParameters               EQU $00041246
CD_OpenDrawer                  EQU $00041247
CD_EjectButton                 EQU $00041248
CD_EnquireAddress              EQU $00041249
CD_EnquireDataMode             EQU $0004124A
CD_PlayAudio                   EQU $0004124B
CD_PlayTrack                   EQU $0004124C
CD_AudioPause                  EQU $0004124D
CD_EnquireTrack                EQU $0004124E
CD_ReadSubChannel              EQU $0004124F
CD_CheckDrive                  EQU $00041250
CD_DiscChanged                 EQU $00041251
CD_StopDisc                    EQU $00041252
CD_DiscUsed                    EQU $00041253
CD_AudioStatus                 EQU $00041254
CD_Inquiry                     EQU $00041255
CD_DiscHasChanged              EQU $00041256
CD_Control                     EQU $00041257
CD_Supported                   EQU $00041258
CD_Prefetch                    EQU $00041259
CD_Reset                       EQU $0004125A
CD_CloseDrawer                 EQU $0004125B
CD_IsDrawerLocked              EQU $0004125C
CD_AudioControl                EQU $0004125D
CD_LastError                   EQU $0004125E
CD_AudioLevel                  EQU $0004125F
CD_Register                    EQU $00041260
CD_Unregister                  EQU $00041261
CD_ByteCopy                    EQU $00041262
CD_Identify                    EQU $00041263
CD_ConvertToLBA                EQU $00041264
CD_ConvertToMSF                EQU $00041265
CD_ReadAudio                   EQU $00041266
CD_ReadUserData                EQU $00041267
CD_SeekUserData                EQU $00041268
CD_GetAudioParms               EQU $00041269
CD_SetAudioParms               EQU $0004126A
CD_SCSIUserOp                  EQU $0004126B

; MessageTrans SWIs (&41500)
MessageTrans_FileInfo          EQU $00041500
MessageTrans_OpenFile          EQU $00041501
MessageTrans_Lookup            EQU $00041502
MessageTrans_MakeMenus         EQU $00041503
MessageTrans_CloseFile         EQU $00041504
MessageTrans_EnumerateTokens   EQU $00041505
MessageTrans_ErrorLookup       EQU $00041506
MessageTrans_GSLookup          EQU $00041507
MessageTrans_CopyError         EQU $00041508
MessageTrans_Dictionary        EQU $00041509

; PDumper SWIs (&41B00)
PDumper_Info                   EQU $00041b00
PDumper_Claim                  EQU $00041b01
PDumper_Free                   EQU $00041b02
PDumper_Find                   EQU $00041b03
PDumper_StartJob               EQU $00041b04
PDumper_TidyJob                EQU $00041b05
PDumper_SetColour              EQU $00041b06
PDumper_PrepareStrip           EQU $00041b07
PDumper_LookupError            EQU $00041b08
PDumper_CopyFilename           EQU $00041b09

; ResourceFS SWIs (&41B40)
ResourceFS_RegisterFiles       EQU $00041b40
ResourceFS_DeregisterFiles     EQU $00041b41

; CDFS SWIs (&41E80)
CDFS_ConvertDriveToDevice      EQU $00041E80
CDFS_SetBufferSize             EQU $00041E81
CDFS_GetBufferSize             EQU $00041E82
CDFS_SetNumberOfDrives         EQU $00041E83
CDFS_GetNumberOfDrives         EQU $00041E84
CDFS_GiveFileType              EQU $00041E85
CDFS_DescribeDisc              EQU $00041E86
CDFS_WhereIsFile               EQU $00041E87
CDFS_Truncation                EQU $00041E88

; DragASprite SWIs (&42400)
DragASprite_Start              EQU $00042400
DragASprite_Stop               EQU $00042401

; DDEUtils SWIs (&42580)
DDEUtils_Prefix                EQU $00042580
DDEUtils_SetCLSize             EQU $00042581
DDEUtils_SetCL                 EQU $00042582
DDEUtils_GetCLSize             EQU $00042583
DDEUtils_GetCl                 EQU $00042584
DDEUtils_ThrowbackRegister     EQU $00042585
DDEUtils_ThrowbackUnRegister   EQU $00042586
DDEUtils_ThrowbackStart        EQU $00042587
DDEUtils_ThrowbackSend         EQU $00042588
DDEUtils_ThrowbackEnd          EQU $00042589

; Filter SWIs (&42640)
Filter_RegisterPreFilter         EQU $00042640
Filter_RegisterPostFilter        EQU $00042641
Filter_DeRegisterPreFilter       EQU $00042642
Filter_DeRegisterPostFilter      EQU $00042643
Filter_RegisterRectFilter        EQU $00042644
Filter_DeRegisterRectFilter      EQU $00042645
Filter_RegisterCopyFilter        EQU $00042646
Filter_DeRegisterCopyFilter      EQU $00042647
Filter_RegisterPostRectFilter    EQU $00042648
Filter_DeRegisterPostRectFilter  EQU $00042649
Filter_RegisterPostIconFilter    EQU $0004264A
Filter_DeRegisterPostIconFilter  EQU $0004264B

; TaskManager SWIs (&42680)
TaskManager_TaskNameFromHandle   EQU $00042680
TaskManager_EnumerateTasks       EQU $00042681
TaskManager_Shutdown             EQU $00042682
TaskManager_StartTask            EQU $00042683

; Squash SWIs (&42700)
Squash_Compress                EQU $00042700
Squash_Decompress              EQU $00042701

; DeviceFS SWIs (&42740)
DeviceFS_Register              EQU $00042740
DeviceFS_Deregister            EQU $00042741
DeviceFS_RegisterObjects       EQU $00042742
DeviceFS_DeregisterObjects     EQU $00042743
DeviceFS_CallDevice            EQU $00042744
DeviceFS_Threshold             EQU $00042745
DeviceFS_ReceivedCharacter     EQU $00042746
DeviceFS_TransmitCharacter     EQU $00042747

; Impulse SWIs (&428C0)
Impulse_Initialise             EQU $000428c0
Impulse_Decode                 EQU $000428c1
Impulse_SendMessage            EQU $000428c2
Impulse_TransmitData           EQU $000428c3
Impulse_FetchData              EQU $000428c4
Impulse_CloseDown              EQU $000428c5
Impulse_DeferReply             EQU $000428c6

; Buffer SWIs (&42940)
Buffer_Create                  EQU $00042940
Buffer_Remove                  EQU $00042941
Buffer_Register                EQU $00042942
Buffer_Deregister              EQU $00042943
Buffer_ModifyFlags             EQU $00042944
Buffer_LinkDevice              EQU $00042945
Buffer_UnlinkDevice            EQU $00042946
Buffer_GetInfo                 EQU $00042947
Buffer_Threshold               EQU $00042948
Buffer_InternalInfo            EQU $00042949

; BASICTrans SWIs (&42C80)
BASICTrans_HELP                EQU $00042c80
BASICTrans_Error               EQU $00042c81
BASICTrans_Message             EQU $00042c82

; Parallel SWIs (&42EC0)
Parallel_HardwareAddress       EQU $00042ec0
Parallel_Op                    EQU $00042ec1

; Territory SWIs (&43040)
Territory_Number                       EQU $00043040
Territory_Register                     EQU $00043041
Territory_Deregister                   EQU $00043042
Territory_NumberToName                 EQU $00043043
Territory_Exists                       EQU $00043044
Territory_AlphabetNumberToName         EQU $00043045
Territory_SelectAlphabet               EQU $00043046
Territory_SetTime                      EQU $00043047
Territory_ReadCurrentTimeZone          EQU $00043048
;Territory_ConvertTimeToUTCOrdinals     EQU $00043049
Territory_ReadTimeZones                EQU $0004304a
Territory_ConvertDateAndTime           EQU $0004304b
;Territory_ConvertStandardDateAndTime   EQU $0004304c
Territory_ConvertStandardDate          EQU $0004304d
Territory_ConvertStandardTime          EQU $0004304e
Territory_ConvertTimeToOrdinals        EQU $0004304f
;Territory_ConvertTimeStringToOrdinals  EQU $00043050
Territory_ConvertOrdinalsToTime        EQU $00043051
Territory_Alphabet                     EQU $00043052
Territory_AlphabetIdentifier           EQU $00043053
Territory_SelectKeyboardHandler        EQU $00043054
Territory_WriteDirection               EQU $00043055
Territory_CharacterPropertyTable       EQU $00043056
Territory_LowerCaseTable               EQU $00043057
Territory_UpperCaseTable               EQU $00043058
Territory_ControlTable                 EQU $00043059
Territory_PlainTable                   EQU $0004305a
Territory_ValueTable                   EQU $0004305b
Territory_RepresentationTable          EQU $0004305c
Territory_Collate                      EQU $0004305d
Territory_ReadSymbols                  EQU $0004305e
;Territory_ReadCalendarInformation      EQU $0004305f
Territory_NameToNumber                 EQU $00043060
Territory_TransformString              EQU $00043061
Territory_IME                          EQU $00043062
Territory_DaylightRules                EQU $00043063
Territory_Reserved1                    EQU $00043064
Territory_Reserved2                    EQU $00043065
Territory_Reserved3                    EQU $00043066
Territory_Reserved4                    EQU $00043067
Territory_Reserved5                    EQU $00043068
Territory_Reserved6                    EQU $00043069
Territory_Reserved7                    EQU $0004306a
Territory_Reserved8                    EQU $0004306b
Territory_Reserved9                    EQU $0004306c
Territory_Reserved10                   EQU $0004306d
Territory_Reserved11                   EQU $0004306e
Territory_Reserved12                   EQU $0004306f
Territory_Reserved13                   EQU $00043070
Territory_Reserved14                   EQU $00043071
Territory_Reserved15                   EQU $00043072
Territory_Reserved16                   EQU $00043073
Territory_Reserved17                   EQU $00043074
Territory_ConvertTextToString          EQU $00043075
Territory_Select                       EQU $00043076
Territory_DaylightSaving               EQU $00043077
Territory_ConvertTimeFormats           EQU $00043078

; ScreenBlanker SWIs (&43100)
ScreenBlanker_Control          EQU $00043100

; TaskWindow SWIs (&43380)
TaskWindow_TaskInfo            EQU $00043380

; Free SWIs (&444C0)
Free_Register                  EQU $000444c0
Free_DeRegister                EQU $000444c1

; FSLock SWIs (&44780)
FSLock_Version                 EQU $00044780
FSLock_Status                  EQU $00044781

; DOSFS SWIs (&44B00)
DOSFS_DiscFormat               EQU $00044b00
DOSFS_LayoutStructure          EQU $00044b01

; Toolbox SWIs (&44EC0)
Toolbox_CreateObject           EQU $00044EC0
Toolbox_DeleteObject           EQU $00044EC1
Toolbox_CopyObject             EQU $00044EC2
Toolbox_ShowObject             EQU $00044EC3
Toolbox_HideObject             EQU $00044EC4
Toolbox_GetObjectInfo          EQU $00044EC5
Toolbox_ObjectMiscOp           EQU $00044EC6
Toolbox_SetClientHandle        EQU $00044EC7
Toolbox_GetClientHandle        EQU $00044EC8
Toolbox_GetObjectClass         EQU $00044EC9
Toolbox_GetParent              EQU $00044ECA
Toolbox_GetAncestor            EQU $00044ECB
Toolbox_GetTemplateName        EQU $00044ECC
Toolbox_RaiseToolboxEvent      EQU $00044ECD
Toolbox_GetSysInfo             EQU $00044ECE
Toolbox_Initialise             EQU $00044ECF
Toolbox_LoadResources          EQU $00044ED0
Toolbox_Memory                 EQU $00044EF9
Toolbox_DeRegisterObjectModule EQU $00044EFA
Toolbox_TemplateLookUp         EQU $00044EFB
Toolbox_GetInternalHandle      EQU $00044EFC
Toolbox_RegisterPostFilter     EQU $00044EFD
Toolbox_RegisterPreFilter      EQU $00044EFE
Toolbox_RegisterObjectModule   EQU $00044EFF

; DeawFile SWIs (&45540)
DrawFile_Render                EQU $00045540
DrawFile_BBox                  EQU $00045541
DrawFile_DeclareFonts          EQU $00045542

; Resolver SWIs (&46000)
Resolver_GetHostByName         EQU $00046000
Resolver_GetHost               EQU $00046001
Resolver_GetCache              EQU $00046002
Resolver_CacheControl          EQU $00046003

; DMA SWIs (&46140)
DMA_RegisterChannel            EQU $00046140
DMA_DeregisterChannel          EQU $00046141
DMA_QueueTransfer              EQU $00046142
DMA_TerminateTransfer          EQU $00046143
DMA_SuspendTransfer            EQU $00046144
DMA_ResumeTransfer             EQU $00046145
DMA_ExamineTransfer            EQU $00046146
DMA_AllocateLogicalChannels    EQU $00046147

; ColourPicker SWIs (&47700)
ColourPicker_RegisterModel     EQU $00047700
ColourPicker_DeregisterModel   EQU $00047701
ColourPicker_OpenDialogue      EQU $00047702
ColourPicker_CloseDialogue     EQU $00047703
ColourPicker_UpdateDialogue    EQU $00047704
ColourPicker_ReadDialogue      EQU $00047705
ColourPicker_SetColour         EQU $00047706
ColourPicker_HelpReply         EQU $00047707
ColourPicker_ModelSWI          EQU $00047708

; ScreenModes SWIs (&487C0)
ScreenModes_ReadInfo           EQU $000487C0

; LanMan SWIs (&49240)
LanMan_OmniOp                  EQU $00049240
LanMan_FreeOp                  EQU $00049241
LanMan_NameOp                  EQU $00049242
LanMan_Transact                EQU $00049243
LanMan_LogonOp                 EQU $00049244

; JPEG SWIs (&49980)
JPEG_Info                      EQU $00049980
JPEG_FileInfo                  EQU $00049981
JPEG_PlotScaled                EQU $00049982
JPEG_PlotFileScaled            EQU $00049983
JPEG_PlotTransformed           EQU $00049984
JPEG_PlotFileTransformed       EQU $00049985
JPEG_PDriverIntercept          EQU $00049986

; DragAnObject SWIs (&49C40)
DragAnObject_Start             EQU $00049C40
DragAnObject_Stop              EQU $00049C41

; Mbuf SWIs (&4A580)
Mbuf_OpenSession               EQU $0004A580
Mbuf_CloseSession              EQU $0004A581
Mbuf_Memory                    EQU $0004A582
Mbuf_Statistic                 EQU $0004A583
Mbuf_Control                   EQU $0004A584

; ATAPI SWIs (&4A740)
ATAPI_GetDrives                EQU $0004A740

; SharedSound SWIs (&4B440)
SharedSound_InstallHandler     EQU $0004B440
SharedSound_RemoveHandler      EQU $0004B441
SharedSound_HandlerInfo        EQU $0004B442
SharedSound_HandlerVolume      EQU $0004B443
SharedSound_HandlerSampleType  EQU $0004B444
SharedSound_HandlerPause       EQU $0004B445
SharedSound_SampleRate         EQU $0004B446
SharedSound_InstallDriver      EQU $0004B447
SharedSound_RemoveDriver       EQU $0004B448
SharedSound_DriverInfo         EQU $0004B449
SharedSound_DriverVolume       EQU $0004B44A
SharedSound_DriverMixer        EQU $0004B44B
SharedSound_CheckDriver        EQU $0004B44C
SharedSound_ControlWord        EQU $0004B44D
SharedSound_HandlerType        EQU $0004B44E

; InverseTable SWIs (&4BF40)
InverseTable_Calculate         EQU $0004BF40

; MIDISupport SWIs (&4EE80 - Somascape MIDI)
MIDISupport_InstallDriver      EQU $0004EE80
MIDISupport_RemoveDriver       EQU $0004EE81
MIDISupport_DriverInfo         EQU $0004EE82
MIDISupport_CreateDriver       EQU $0004EE83
MIDISupport_Send               EQU $0004EE84
MIDISupport_Receive            EQU $0004EE85
MIDISupport_Connect            EQU $0004EE86
MIDISupport_ConnectName        EQU $0004EE87
MIDISupport_GetAddress         EQU $0004EE88
MIDISupport_Insert             EQU $0004EE89

; MimeMap SWIs (&50B00)
MimeMap_Translate              EQU $00050B00

; DHCP SWIs (&52E80)
DHCP_Version                   EQU $00052E80
DHCP_Execute                   EQU $00052E81
DHCP_GetState                  EQU $00052E82
DHCP_GetOption                 EQU $00052E83
DHCP_SetOption                 EQU $00052E84
DHCP_Inform                    EQU $00052E85

; HangWatch SWIs (&59283)
HangWatch_Start                EQU $00059280 ; https://www.riscosopen.org/viewer/view/bsd/RiscOS/Sources/Programmer/HangWatch/Doc/HangWatch
HangWatch_Stop                 EQU $00059281
HangWatch_Tick                 EQU $00059282
HangWatch_Dump                 EQU $00059283 ; https://www.riscosopen.org/viewer/view/castle/RiscOS/Sources/Kernel/s/Middle?annotate=4.15.2.30


; Mail SWIs (&80000)

; NetMonitor SWIs (&80040)
NetMonitor_PrintChar               EQU $00080040
NetMonitor_DefineTask              EQU $00080041
NetMonitor_AbandonTask             EQU $00080042
NetMonitor_ConvertFont             EQU $00080043
NetMonitor_UseFont                 EQU $00080044
NetMonitor_RestoreFont             EQU $00080045
NetMonitor_StartWithCurrentFont    EQU $00080046
NetMonitor_StartWithInternalFont   EQU $00080047

; ComputerConcepts SWIs (&80080)

; MinervaSystemDelta SWIs (&800C0)

; ResourceNH01 SWIs (&80100)

; Printer Driver SWIs (&80140)
PDriver_Info                   EQU $00080140
PDriver_SetInfo                EQU $00080141
PDriver_CheckFeatures          EQU $00080142
PDriver_PageSize               EQU $00080143
PDriver_SetPageSize            EQU $00080144
PDriver_SelectJob              EQU $00080145
PDriver_CurrentJob             EQU $00080146
PDriver_FontSWI                EQU $00080147
PDriver_EndJob                 EQU $00080148
PDriver_AbortJob               EQU $00080149
PDriver_Reset                  EQU $0008014a
PDriver_GiveRectangle          EQU $0008014b
PDriver_DrawPage               EQU $0008014c
PDriver_GetRectangle           EQU $0008014d
PDriver_CancelJob              EQU $0008014e
PDriver_ScreenDump             EQU $0008014f
PDriver_EnumerateJobs          EQU $00080150
PDriver_SetPrinter             EQU $00080151
PDriver_CancelJobWithError     EQU $00080152
PDriver_SelectIllustration     EQU $00080153
PDriver_InsertIllustration     EQU $00080154
PDriver_DeclareFont            EQU $00080155
PDriver_DeclareDriver          EQU $00080156
PDriver_RemoveDriver           EQU $00080157
PDriver_SelectDriver           EQU $00080158
PDriver_EnumerateDrivers       EQU $00080159
PDriver_MiscOp                 EQU $0008015a
PDriver_MiscOpForDriver        EQU $0008015b
PDriver_SetDriver              EQU $0008015c

; EdinburghSWProducts      80180

; Clares1                  801C0
                
; Clares2                  80200
                
; Clares3                  80240
                
; Clares4                  80280

; FrameGrabber             802C0 ? Watford/Mike Harrison

; MinervaRAMmanager        80300

; MinervaSystemGamma       80340

; MinervaSystemSigma       80380

; MinervaInternalUtils     803C0

; PCEmulation              80400

; ROMCacheSWI              80440

; SmallTalkSWI             80480

; MyoLinkSWI               804C0 - L van Someren

; SoundSamplerSWI          80500 - DFell

; FFTSWI                   80540 - DFell

; ResourceNH02             80580

; FontAidPrint             805C0 - CJE Micros

; AlliedInteractive        80600

; Euclid3D                 80640 - Ace Computing

; SharedLibrary SWIs (&80680 - PLG use)
SharedCLibrary_LibInitAPCS_A           EQU $00080680
SharedCLibrary_LibInitAPCS_R           EQU $00080681
SharedCLibrary_LibInitModule           EQU $00080682
SharedCLibrary_LibInitAPCS_32          EQU $00080683
;SharedCLibrary_LibInitModuleAPCS_32    EQU $00080684

; Minerva256ColourHandler (&806C0) - Minerva

; CConceptsWordProc        80700

; CConceptsDrawProg        80740

; AMSFinesse               80780

; Sibelius                 807C0

; FaxPack                  80800

; CED                      80840 - Cambridge Elec. Design

; Servo                    80880 - Jansons

; TaskModule               808C0

; HindiWordProc            80900 - Southall ITEC

; AutoCue                  80940 - Capricorn Consultants

; RealTimeGL               80980 - Silicon Vision Ltd.

; Cadsoft1                 809C0 - Cadsoft

; Cadsoft2                 80A00 - Cadsoft

; ResourceNH03             80A40 - Resource

; WildVision01             80A80 - Wild Vision

; FrontEnd SWIs (&81400)
FrontEnd_ExtendedCmdLine       EQU $00081400
FrontEnd_FreeCmdLine           EQU $00081401

; Window SWIs (&82880)
Window_ClassSWI                EQU $00082880
Window_PostFilter              EQU $00082881
Window_PreFilter               EQU $00082882
Window_GetPointerInfo          EQU $00082883
Window_WimpToToolbox           EQU $00082884
Window_RegisterExternal        EQU $00082885
Window_DeregisterExternal      EQU $00082886
Window_SupportExternal         EQU $00082887
Window_RegisterFilter          EQU $00082888
Window_DeregisterFilter        EQU $00082889
Window_EnumerateGadgets        EQU $0008288A
Window_GadgetGetIconList       EQU $0008288B
Window_ExtractGadgetInfo       EQU $000828BE

; Menu SWIs (&828C0)
Menu_ClassSWI                  EQU $000828C0
Menu_PostFilter                EQU $000828C1
Menu_PreFilter                 EQU $000828C2
Menu_UpdateTree                EQU $000828C3

; Iconbar SWIs (&82900)
Iconbar_ClassSWI               EQU $00082900
Iconbar_PostFilter             EQU $00082901
Iconbar_PreFilter              EQU $00082902

; ColourMenu SWIs (&82980)
ColourMenu_ClassSWI            EQU $00082980
ColourMenu_PostFilter          EQU $00082981
ColourMenu_PreFilter           EQU $00082982

; ColourDbox SWIs (&829C0)
ColourDbox_ClassSWI            EQU $000829C0
ColourDbox_PostFilter          EQU $000829C1
ColourDbox_PreFilter           EQU $000829C2

; Fontbox SWIs (&82A00)
FontDbox_ClassSWI              EQU $00082A00
FontDbox_PostFilter            EQU $00082A01
FontDbox_PreFilter             EQU $00082A02

; FontMenu SWIs (&82A40)
FontMenu_ClassSWI              EQU $00082A40
FontMenu_PostFilter            EQU $00082A41
FontMenu_PreFilter             EQU $00082A42

; DCS SWIs (&82A80)
DCS_ClassSWI                   EQU $00082A80
DCS_PostFilter                 EQU $00082A81
DCS_PreFilter                  EQU $00082A82

; FileInfo SWIs (&82AC0)
FileInfo_ClassSWI              EQU $00082AC0
FileInfo_PostFilter            EQU $00082AC1
FileInfo_PreFilter             EQU $00082AC2

; PrintDbox SWIs (&82B00)
PrintDbox_ClassSWI             EQU $00082B00
PrintDbox_PostFilter           EQU $00082B01
PrintDbox_PreFilter            EQU $00082B02

; ProgInfo SWIs (&82B40)
ProgInfo_ClassSWI              EQU $00082B40
ProgInfo_PostFilter            EQU $00082B41
ProgInfo_PreFilter             EQU $00082B42

; SaveAs SWIs (&82BC0)
SaveAs_ClassSWI                EQU $00082BC0
SaveAs_PostFilter              EQU $00082BC1
SaveAs_PreFilter               EQU $00082BC2

; Scale SWIs (&82C00)
Scale_ClassSWI                 EQU $00082C00
Scale_PostFilter               EQU $00082C01
Scale_PreFilter                EQU $00082C02

; TinySupport SWIs (&82C40)
TinySupport_Init               EQU $00082C40
TinySupport_Die                EQU $00082C41
TinySupport_Init2              EQU $00082C42
TinySupport_Share              EQU $00082C43

; ToolAction SWIs (&140140)
ToolAction_ToolAction          EQU $00140140

; TextGadgets SWIs (&140180)
TextGadgets_TextArea           EQU $00140180  
TextGadgets_TextField          EQU $00140181  
TextGadgets_ScrollList         EQU $00140182  
TextGadgets_Scrollbar          EQU $00140183  
TextGadgets_RedrawAll          EQU $00140184  
TextGadgets_Filter             EQU $00140185  

; ARM SWIs (&F00000)
ARM_IMB                        EQU $00F00000 ; https://www.riscosopen.org/viewer/view/castle/RiscOS/Sources/Kernel/s/Utility?annotate=4.6.2.8
ARM_IMBRange                   EQU $00F00001 ; https://www.riscosopen.org/viewer/view/castle/RiscOS/Sources/Kernel/s/Utility?annotate=4.6.2.8

XOS_Bit                        EQU $00020000

; routine to find out CPU speed: https://www.riscosopen.org/viewer/view/castle/RiscOS/Sources/Kernel/s/MEMC1?annotate=4.1.7.1
; main loop: https://www.riscosopen.org/viewer/view/castle/RiscOS/Sources/Kernel/s/Super1?annotate=4.2.2.5
; InsV RemV CnpV : https://www.riscosopen.org/viewer/view/castle/RiscOS/Sources/Kernel/s/PMF/Buffer?annotate=4.2.2.2
; KeyV : https://www.riscosopen.org/viewer/view/castle/RiscOS/Sources/Kernel/s/PMF/key?annotate=4.6.2.11
; *IF https://www.riscosopen.org/viewer/view/castle/RiscOS/Sources/Kernel/s/Arthur3?annotate=4.3.2.11

